summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtcwg_kernel-bisect.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tcwg_kernel-bisect.sh b/tcwg_kernel-bisect.sh
index a70d7727..c96da898 100755
--- a/tcwg_kernel-bisect.sh
+++ b/tcwg_kernel-bisect.sh
@@ -161,6 +161,19 @@ if [ x"$merge_base" != x"$good_rev" -a x"$origin" = x"linux-next.git" ]; then
fi
fi
+if ! $confirm_failure; then
+ git checkout --detach $bad_rev
+ ../bisect-run.sh &
+ res=0 && wait $! || res=$?
+
+ if [ x"$res" = x"0" ]; then
+ echo "ERROR: build for bad_rev $bad_rev succeeded"
+ exit 1
+ fi
+
+ mv "$artifacts/build-$bad_rev" "$artifacts/build-$bad_rev-bad"
+fi
+
git bisect start $bad_rev $good_rev 2>&1 | tee $artifacts/bisect.log
# "git bisect run" can fail (exit with non-zero) in a number of cases: